Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.pool
Class PreparedStatement

    java.lang.Object
      |
      +--weblogic.jdbc.pool.Statement
            |
            +--weblogic.jdbc.pool.PreparedStatement

Direct Known Subclasses:
  CallableStatement

public class PreparedStatement
extends Statement
implements java.sql.PreparedStatement, weblogic.jdbc.vendor.oracle.OraclePreparedStatement

Fields inherited from class weblogic.jdbc.pool.Statement
`cc, conn, key, sqlParamLoggingEnabled, sqlParamLogMaxLength, sqlProfilingEnabled, stmt, stmtProfile`

Constructor Summary
`PreparedStatement()`
`PreparedStatement(java.sql.PreparedStatement jstmt, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.Long aKey, Connection aConn)`

Method Summary
`void` | `addBatch()`
`void` | `defineParameterType(int i, int j, int k)`
`boolean` | `execute(java.lang.String sql)`
`boolean` | `execute(java.lang.String a, int b)`
`boolean` | `execute(java.lang.String a, int[] b)`
`boolean` | `execute(java.lang.String a, java.lang.String[] b)`
`java.sql.ResultSet` | `executeQuery()`
`int` | `executeUpdate(java.lang.String sql)`
`int` | `executeUpdate(java.lang.String a, int b)`
`int` | `executeUpdate(java.lang.String a, int[] b)`
`int` | `executeUpdate(java.lang.String a, java.lang.String[] b)`
`int` | `getExecuteBatch()`
`java.sql.ResultSet` | `getGeneratedKeys()`
`java.sql.ResultSetMetaData` | `getMetaData()`
`boolean` | `getMoreResults(int a)`
`weblogic.jdbc.pool.ParameterMetaData` | `getParameterMetaData()`
`int` | `getResultSetHoldability()`
`void` | `setArray(int i, java.sql.Array x)`
`void` | `setARRAY(int i, oracle.sql.ARRAY o)`
`void` | `setBfile(int i, oracle.sql.BFILE o)`
`void` | `setBFILE(int i, oracle.sql.BFILE o)`
`void` | `setBlob(int i, java.sql.Blob x)`
`void` | `setBLOB(int i, oracle.sql.BLOB o)`
`void` | `setCHAR(int i, oracle.sql.CHAR o)`
`void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, int length)`
`void` | `setCheckBindTypes(boolean b)`
`void` | `setClob(int i, java.sql.Clob x)`
`void` | `setCLOB(int i, oracle.sql.CLOB o)`
`void` | `setCursor(int i, java.sql.ResultSet r)`
`void` | `setCustomDatum(int i, oracle.sql.CustomDatum o)`
`void` | `setDATE(int i, oracle.sql.DATE o)`
`void` | `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)`
`void` | `setDisableStmtCaching(boolean b)`
`void` | `setExecuteBatch(int i)`
`void` | `setFixedCHAR(int i, java.lang.String s)`
`void` | `setInternalBytes(int i, byte[] b, int j)`
`void` | `setNull(int i, int sqlType, java.lang.String typeName)`
`void` | `setNUMBER(int i, oracle.sql.NUMBER o)`
`void` | `setOracleObject(int i, oracle.sql.Datum o)`
`void` | `setPlsqlIndexTable(int i, java.lang.Object o, int j, int k, int l, int m)`
`void` | `setRAW(int i, oracle.sql.RAW o)`
`void` | `setRef(int i, java.sql.Ref x)`
`void` | `setREF(int i, oracle.sql.REF o)`
`void` | `setRefType(int i, oracle.sql.REF o)`
`void` | `setROWID(int i, oracle.sql.ROWID o)`
`void` | `setSTRUCT(int i, oracle.sql.STRUCT o)`
`void` | `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)`
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)`
`void` | `setURL(int a, java.net.URL b)`

Methods inherited from class weblogic.jdbc.pool.Statement
`addBatch, cancel, clearBatch, clearDefines, clearParameters, clearWarnings, close, closeWithKey, creationState, defineColumnType, defineColumnType, defineColumnType, describe, execute, executeBatch, executeQuery, executeUpdate, executeWriteText, executeWriteText, executeWriteText, executeWriteText, finalize, getArray, getAutoRefetch, getBigDecimal, getBigDecimal, getBinds, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getClob, getConnection, getDate, getDate, getDate, getDBDescription, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getObject, getObject, getOriginalSql, getQueryTimeout, getRef, getResultSet, getResultSetCache, getResultSetConcurrency, getResultSetType, getRevisedSql, getRowPrefetch, getShort, getShort, getSqlKind, getString, getString, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getUpdateCount, getURL, getURL, getWarnings, initMonitoring, is_value_null, notify_close_rset, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, sendBatch, setAsciiStream, setAsciiStream, setAutoRefetch, setBigDecimal, setBigDecimal, setBinaryStream, setBinaryStream, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setCharacterStream, setCursorName, setDate, setDate, setDate, setDouble, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setFloat, setInt, setInt, setLong, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setObject, setQueryTimeout, setResultSetCache, setResultSetCache, setRowPrefetch, setShort, setShort, setString, setString, setTime, setTime, setTime, setTimestamp, setTimestamp, setTimestamp, setUnicodeStream, setURL, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreparedStatement

    public PreparedStatement()

### PreparedStatement

    public PreparedStatement(java.sql.PreparedStatement jstmt,
                             weblogic.jdbc.common.internal.ConnectionEnv aCc,
                             java.lang.Long aKey,
                             Connection aConn)

Method Detail

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Specified by:
    executeQuery in interface java.sql.PreparedStatement

  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Parameters:
    `sql` - String
  Returns:
    int
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    executeUpdate in class Statement

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Parameters:
    `sql` - String
  Returns:
    boolean
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    execute in class Statement

### setNull

    public void setNull(int i,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Specified by:
    setNull in interface java.sql.PreparedStatement

### addBatch

    public void addBatch()
                  throws java.sql.SQLException

  Specified by:
    addBatch in interface java.sql.PreparedStatement

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    setCharacterStream in interface java.sql.PreparedStatement

### setRef

    public void setRef(int i,
                       java.sql.Ref x)
                throws java.sql.SQLException

  Specified by:
    setRef in interface java.sql.PreparedStatement

### setBlob

    public void setBlob(int i,
                        java.sql.Blob x)
                 throws java.sql.SQLException

  Specified by:
    setBlob in interface java.sql.PreparedStatement

### setClob

    public void setClob(int i,
                        java.sql.Clob x)
                 throws java.sql.SQLException

  Specified by:
    setClob in interface java.sql.PreparedStatement

### setArray

    public void setArray(int i,
                         java.sql.Array x)
                  throws java.sql.SQLException

  Specified by:
    setArray in interface java.sql.PreparedStatement

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Specified by:
    getMetaData in interface java.sql.PreparedStatement

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    setDate in interface java.sql.PreparedStatement

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    setTime in interface java.sql.PreparedStatement

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Specified by:
    setTimestamp in interface java.sql.PreparedStatement

### getExecuteBatch

    public int getExecuteBatch()
                        throws java.sql.SQLException

  Specified by:
    getExecuteBatch in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### defineParameterType

    public void defineParameterType(int i,
                                    int j,
                                    int k)
                             throws java.sql.SQLException

  Specified by:
    defineParameterType in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setDisableStmtCaching

    public void setDisableStmtCaching(boolean b)
                               throws java.sql.SQLException

  Specified by:
    setDisableStmtCaching in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setExecuteBatch

    public void setExecuteBatch(int i)
                         throws java.sql.SQLException

  Specified by:
    setExecuteBatch in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setFixedCHAR

    public void setFixedCHAR(int i,
                             java.lang.String s)
                      throws java.sql.SQLException

  Specified by:
    setFixedCHAR in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setInternalBytes

    public void setInternalBytes(int i,
                                 byte[] b,
                                 int j)
                          throws java.sql.SQLException

  Specified by:
    setInternalBytes in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setARRAY

    public void setARRAY(int i,
                         oracle.sql.ARRAY o)
                  throws java.sql.SQLException

  Specified by:
    setARRAY in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setBfile

    public void setBfile(int i,
                         oracle.sql.BFILE o)
                  throws java.sql.SQLException

  Specified by:
    setBfile in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setBFILE

    public void setBFILE(int i,
                         oracle.sql.BFILE o)
                  throws java.sql.SQLException

  Specified by:
    setBFILE in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setBLOB

    public void setBLOB(int i,
                        oracle.sql.BLOB o)
                 throws java.sql.SQLException

  Specified by:
    setBLOB in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setCHAR

    public void setCHAR(int i,
                        oracle.sql.CHAR o)
                 throws java.sql.SQLException

  Specified by:
    setCHAR in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setCheckBindTypes

    public void setCheckBindTypes(boolean b)
                           throws java.sql.SQLException

  Specified by:
    setCheckBindTypes in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setCLOB

    public void setCLOB(int i,
                        oracle.sql.CLOB o)
                 throws java.sql.SQLException

  Specified by:
    setCLOB in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setCursor

    public void setCursor(int i,
                          java.sql.ResultSet r)
                   throws java.sql.SQLException

  Specified by:
    setCursor in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setCustomDatum

    public void setCustomDatum(int i,
                               oracle.sql.CustomDatum o)
                        throws java.sql.SQLException

  Specified by:
    setCustomDatum in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setDATE

    public void setDATE(int i,
                        oracle.sql.DATE o)
                 throws java.sql.SQLException

  Specified by:
    setDATE in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setNUMBER

    public void setNUMBER(int i,
                          oracle.sql.NUMBER o)
                   throws java.sql.SQLException

  Specified by:
    setNUMBER in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setOracleObject

    public void setOracleObject(int i,
                                oracle.sql.Datum o)
                         throws java.sql.SQLException

  Specified by:
    setOracleObject in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setPlsqlIndexTable

    public void setPlsqlIndexTable(int i,
                                   java.lang.Object o,
                                   int j,
                                   int k,
                                   int l,
                                   int m)
                            throws java.sql.SQLException

  Specified by:
    setPlsqlIndexTable in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setRAW

    public void setRAW(int i,
                       oracle.sql.RAW o)
                throws java.sql.SQLException

  Specified by:
    setRAW in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setREF

    public void setREF(int i,
                       oracle.sql.REF o)
                throws java.sql.SQLException

  Specified by:
    setREF in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setRefType

    public void setRefType(int i,
                           oracle.sql.REF o)
                    throws java.sql.SQLException

  Specified by:
    setRefType in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setROWID

    public void setROWID(int i,
                         oracle.sql.ROWID o)
                  throws java.sql.SQLException

  Specified by:
    setROWID in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### setSTRUCT

    public void setSTRUCT(int i,
                          oracle.sql.STRUCT o)
                   throws java.sql.SQLException

  Specified by:
    setSTRUCT in interface weblogic.jdbc.vendor.oracle.OraclePreparedStatement

### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

  Overrides:
    getGeneratedKeys in class Statement

### getMoreResults

    public boolean getMoreResults(int a)
                           throws java.sql.SQLException

  Overrides:
    getMoreResults in class Statement

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

  Overrides:
    getResultSetHoldability in class Statement

### getParameterMetaData

    public weblogic.jdbc.pool.ParameterMetaData getParameterMetaData()
                                                              throws java.sql.SQLException

  Overrides:
    getParameterMetaData in class Statement

### setURL

    public void setURL(int a,
                       java.net.URL b)
                throws java.sql.SQLException

  Overrides:
    setURL in class Statement

### execute

    public boolean execute(java.lang.String a,
                           int b)
                    throws java.sql.SQLException

  Overrides:
    execute in class Statement

### execute

    public boolean execute(java.lang.String a,
                           int[] b)
                    throws java.sql.SQLException

  Overrides:
    execute in class Statement

### execute

    public boolean execute(java.lang.String a,
                           java.lang.String[] b)
                    throws java.sql.SQLException

  Overrides:
    execute in class Statement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int b)
                      throws java.sql.SQLException

  Overrides:
    executeUpdate in class Statement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int[] b)
                      throws java.sql.SQLException

  Overrides:
    executeUpdate in class Statement

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             java.lang.String[] b)
                      throws java.sql.SQLException

  Overrides:
    executeUpdate in class Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference